image: maven:3.8-openjdk-8

stages:
  - build
  - deploy

build:
  stage: build
  script: mvn package
  artifacts:
    paths:
      - target/test-ci-gitlab-0.0.1-SNAPSHOT.jar

production:
  stage: deploy
  script:
    - java -jar target/test-ci-gitlab-0.0.1-SNAPSHOT.jar
  only:
    - master

